## Retrieve information about all schemas on a zone `client.APIGateway.UserSchemas.List(ctx, params) (*V4PagePaginationArray[OldPublicSchema], error)` **get** `/zones/{zone_id}/api_gateway/user_schemas` Lists all OpenAPI schemas uploaded to API Shield for the zone, including their validation status and associated operations. ### Parameters - `params UserSchemaListParams` - `ZoneID param.Field[string]` Path param: Identifier. - `OmitSource param.Field[bool]` Query param: Omit the source-files of schemas and only retrieve their meta-data. - `Page param.Field[int64]` Query param: Page number of paginated results. - `PerPage param.Field[int64]` Query param: Maximum number of results per page. - `ValidationEnabled param.Field[bool]` Query param: Flag whether schema is enabled for validation. ### Returns - `type OldPublicSchema struct{…}` - `CreatedAt Time` - `Kind OldPublicSchemaKind` Kind of schema - `const OldPublicSchemaKindOpenAPIV3 OldPublicSchemaKind = "openapi_v3"` - `Name string` Name of the schema - `SchemaID string` UUID. - `Source string` Source of the schema - `ValidationEnabled bool` Flag whether schema is enabled for validation. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.APIGateway.UserSchemas.List(context.TODO(), api_gateway.UserSchemaListParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "created_at": "2014-01-01T05:20:00.12345Z", "kind": "openapi_v3", "name": "petstore schema", "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "source": "", "validation_enabled": true } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```